/*ESTRUTURA DO LAYOUT*/

:root{
    --main-color: #0072c6;
    font-size: 0.875rem;
}

.wrapper {
    width: 100%;
    overflow: hidden;
}

.wrapper.flex {
    display: flex;
}

#sidebar {
    width: 15%;
    min-height: 100vh;
    float: left;
    background-color: var(--main-color);
    transition: all 0.3s;
    margin-bottom: -500000px;
    padding-bottom: 500000px;
    position: fixed;
}

.sidebar-content {
/*    padding-top: 50px;
*/}

#sidebar.active {
    margin-left: -550px;
}






#content {
    float: left;
    width: 85%;
    margin-left: 15%;
}

#content.open {
    
    width: 100%;
    margin-left:0;
}

/*@media only screen and (max-width: 1500px) {
    #content {
        width: fit-content !important;
    }
}*/


@media (max-width: 768px) {
    #sidebar {
        margin-left: -250px;
    }

    #sidebar.active {
        margin-left: 0;
        z-index:9;
        width:100%
    }
}

/*MENU LATERAL*/

#sidebar .list-group-item {
    /*min-width: 250px;
    max-width: 250px;*/

    padding-top: 0px;
    padding-bottom: 0px;

    color: white;
    background-color: var(--main-color);
    cursor:pointer;
}

#sidebar .sidebar-list-group-item-collapse {
    color: black;
    background-color: white;
}

.sidebar-toggle {
    display: block !important;
    width: 30px !important;
    height: 30px !important;
    float: left !important;
    margin: 10px !important;
    color: #336699 !important;
    font-size: 0% !important;
    cursor: pointer!important;
}

/**/
#wrap {
    min-height: 85vh !important;
}

footer{
    margin-top: -100px !important;
    height: auto !important;
}

#footerImages{
    width: 600px;
    margin: 0 auto;
}

#footerImages>img{
    float: left;
    padding: 10px;
}

#footerContainerText{
    text-align: center;
    width: 100%;
    margin: 0 !important;
    margin-top: 15px !important;
}

#wcag{
    padding: 17px 10px !important;
}


/**/

h2 {
    border: none !important;
    color: var(--main-color);
}

#navBar{
    background-color: var(--main-color) !important;
}

.firstAnchor{ /*linha da margem esquerda da navBar*/
    background-color: var(--main-color) !important;
}

nav ul ul{ /*tamanho dos submenus*/
    min-width: 10em !important;
    max-width: 100% !important;
}

nav ul ul li{ /*fundo dos items do submenu*/
    background-color: var(--main-color) !important;
}

nav ul li a:hover{ /*apontador nos items do menu*/
    cursor: pointer !important;
}

.MainMenu a{
    height: 50px;
}

#navBarAPPProfileIcon{ /*fundo do quadrado por de trás do icon de perfil*/
    background-color: var(--main-color) !important;
    width: 27px !important;
}

#navBarAPPProfileIcon span{ /*icon de perfil*/
    color: white;
    font-size: 22px;
    top: 5px !important;
}

.navBarAPPProfileIconOnClick{ /*border do icon de perfil*/
    border: 2px solid white;
}

#navBarAPPProfileIcon span:hover{ /*apontador no icon de perfil*/
    cursor: pointer;
}

ul li a span { /*seta no menu com submenu*/
    font-size: 5px;
    margin-left: 2px;
}

#languageSubMenu{ /*submenu linguagem - limitar largura ao tamanho do texto*/
    min-width: 0px !important;
}

.alert{ /*margens da barra de mensagens*/
    margin-top: 20px;
    margin-bottom: 0px !important;
}

#navBarAPPLine-provest{ /*teste loading*/
    /*/transition: background-color 1s ease;*/
}


/*progressbar*/
#container {
    height: 53px;
    width: 100%;
    position: fixed;
    z-index: 20;
}
#container > svg {
    height: 100%;
    display: block;
}
#navBar{
    z-index: 21 !important;
}

#navBarAPPLine{
    background-color: var(--main-color) !important;
    width: 100%;
    height: 53px;
    float: left;
    position: fixed;
    z-index: 19;
}
/*end-progressbar*/

#wrap{
    margin-bottom: 40px;
}

/*remover cor azul quando o objeto é selecionado*/
.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

/*botão de Iniciar Sessão*/
#navBarProfileLogin{
    color: white !important;
    border-radius: 0 !important;
}
#navBarProfileLogin a:hover{
    color: var(--main-color);
}

/*menu de linguagens*/
#language{
    margin-top: 13px !important;
}
#currentLanguage {
    line-height: 25px !important;

    /*Migração para o Bootstrap 4*/
    color: white;
}
#languageSubMenu {
    margin-top: -25px !important;
}

/*corrigir tamanho das linhas de aplicaçõe em Home/Index*/
.appsLine{
    width: 100%;
    min-height: 120px;
    margin-top: 50px;
}



.clearfix{
    clear: both;
}

.alerta{
    width: 100%;
    padding: 15px;
    color: white;
    font-weight: bold;
    margin: 13px 0;
}

.alerta-erro{
    background-color: #e03b3b; /*#e64f4f*/
}
.alerta-info{
    background-color: #0096c4; /*#4697ff*/
}
.alerta-success{
    background-color: #09A895; /*#63965c*/
}
.alerta-warning{
    background-color: #f9a93e;
}

.checkboxElement{
    float: left;
    list-style-type: none;
    margin-right: 20px;
}

.checkboxList{
    margin-left: -38px;
    margin-top: 5px;
}

textarea{
    resize: vertical;
}

/*Migração para o Bootstrap 4*/
.text-info {
    color: #3a87ad!important;
}

.noweight{
    font-weight: 100;
}

@media all and (max-width : 990px) {

    /*margens da grelha de aplicações em Home/Index*/
    .appsLine{
        margin-top: 0px;
    }
    .appsElement{
        margin-top: 50px;
    }

}

@media all and (max-width : 900px) {

    /*menu de linguagens*/
    #navBarAPPProfileIcon{
        right: 50px !important;
    }
    #language{
        margin-top: 13px !important;
        margin-right: 10px !important;
    }
    #language .menu{
        display: inline-block !important;
    }
    #language .toggle{
        padding: 0 5px;
        line-height: 25px;
        background-color: var(--main-color);
    }
    #languageSubMenu{
        margin-top: 0px !important;
    }

}

.colSelectDocente{
    width:25%;
}


.txtOrdemLecionacaoDocente{
    width:50px;
}


.txtNumeroSemanasLecionacao {
    width: 50px;
}


.aLinkRamo {
    color: #0096c4 !important;
    text-decoration: none !important;
    cursor:pointer;
}

.containerVoltarMenu {
    margin-top: 2%;
    margin-bottom: 2%;
}


.aLinkVoltar {
    color: #0096c4 !important;
    text-decoration: none !important;
    cursor: pointer;
}

.spanTituloDadoDocente {
    color: #0096c4 !important;
    font-weight:bold;
}

.spanTituloDadoDocenteGridTitulo {
    color: #0096c4 !important;
    font-weight: bold;
}

.spanTituloDataConhecimento {
    color: #0096c4 !important;
    font-weight: bold;
}

.divListaDadosDocente {
    /*padding-bottom: 1%;*/
    padding-top: 1%;
}

.linkViewDistDocente:hover {
    color: #0096c4 !important;
}